
%global debug_package   %{nil}
%global snapshot        1

%global provider         github
%global provider_tld     com
%global project          openshift
%global repo             prometheus-promu
# code source github.com/openshift/prometheus-promu
%global gopackage        %{provider}.%{provider_tld}/%{project}/%{repo}
%global commit           d5383c5282cce7a68135826a40d9b1db9eec3bf6
%global shortcommit      %(c=%{commit}; echo ${c:0:7})
%global download_prefix  %{provider}.%{provider_tld}/%{project}/%{repo}

Name:     golang-github-prometheus-promu
Version:  0.15.0
Release:  15.2.git%{shortcommit}%{?dist}
Summary:  Prometheus Utility Tool for building and releasing projects
License:  ASL 2.0
URL:      https://prometheus.io
Source0:  https://%{gopackage}/archive/%{commit}/%{repo}-%{shortcommit}.tar.gz

# e.g. el6 has ppc64 arch without gcc-go, so EA tag is required
ExclusiveArch:  %{?go_arches:%{go_arches}}%{!?go_arches:%{ix86} x86_64 aarch64 %{arm} ppc64le s390x}
BuildRequires:  %{?go_compiler:compiler(go-compiler)}%{!?go_compiler:golang}

%description
%{summary}

%package -n %{project}-%{repo}
Summary:  %{summary}
Provides: prometheus-promu = %{version}-%{release}

%description -n %{project}-%{repo}
%{summary}

%prep
%autosetup -p1 -n %{repo}-%{commit}

%build
# Go expects a full path to the sources which is not included in the source
# tarball so create a link with the expected path
export GOPATH=%{_builddir}/go/src
mkdir -p ${GOPATH}/%{provider}.%{provider_tld}/%{project}
GOPACKAGEPATH=${GOPATH}/%{gopackage}
if [ ! -e "$GOPACKAGEPATH" ]; then
  ln -s `pwd` "$GOPACKAGEPATH"
fi
make build

%install
install -d %{buildroot}%{_bindir}
install -D -p -m 0755 %{_builddir}/%{repo}-%{commit}/promu %{buildroot}/%{_bindir}/promu

%files
%license LICENSE NOTICE
%doc CONTRIBUTING.md MAINTAINERS.md README.md
%{_bindir}/promu

%files -n %{project}-%{repo}
%license LICENSE NOTICE
%doc CONTRIBUTING.md MAINTAINERS.md README.md
%{_bindir}/promu

%changelog
* Wed Feb 07 2024 Siddharth Sharma <sidsharm@redhat.com> - 0.15.0-15.2.gitd5383c5
Bump and rebuild with latest golang, resolves ART-8631

* Thu Oct 19 2023 Siddharth Sharma <sidsharm@redhat.com> - 0.15.0-15.1.gitd5383c5
Bump and rebuild with latest golang, resolves ART-7950

* Wed Jul 19 2023 Jan Fajerski <jfajersk@redhat.com> - 0.15.0-1.gite1bab89
- Update to v0.15.0 via openshfit/prometheus-promu

* Tue Feb 15 2022 Luke Meyer <lmeyer@redhat.com> - 0.5.0-5.git642a96
- Rebuild with newer golang

* Tue Oct 01 2019 Paul Gier <pgier@redhat.com> - 0.4.0-1.git642a96
- Update to v0.5.0

* Wed Jun 12 2019 Paul Gier <pgier@redhat.com> - 0.4.0-1.gitafc7dfe
- Update to v0.4.0
- Refactoring to simplify the build

* Tue Jul 24 2018 Simon Pasquier <spasquie@redhat.com> - 0-4.git85ceabc
- Enable aarch64

* Wed Jul 18 2018 Florian Weimer <fweimer@redhat.com> - 0-3.git85ceabc
- Do not force static linking

* Wed Jan 10 2018 Yaakov Selkowitz <yselkowi@redhat.com> - 0-2.git85ceabc
- Rebuilt for ppc64le, s390x enablement

* Mon Aug 28 2017 Paul Gier <pgier@redhat.com> - 0-1.20170828151318.git85ceabc
- Initial spec creation
